## hildon-audit 1.2-1

=== debian/changelog ===
hildon-audit (1.2-1) unstable; urgency=low

  * Reversed output in "stat"mode
  * Removed "severity" field
  * tons of updates to data files

 -- Michael Dominic Kostrzewa <michael.kostrzewa@nokia.com>  Wed,  8 Aug 2007 16:43:05 +0300

hildon-audit (1.1-1) unstable; urgency=low

  * Do not install the .svn dirs
  * Better README file with a little explanation 
  * Package is now ALL architecture

 -- Michael Dominic Kostrzewa <michael.kostrzewa@nokia.com>  Thu, 26 Jul 2007 12:19:30 +0300

hildon-audit (1.0-4) unstable; urgency=low

  * debian/control: fix description
  * debian/rules: remove unneeded dh_* calls

 -- Tommi Komulainen <tommi.komulainen@nokia.com>  Mon, 26 Mar 2007 11:01:11 +0300

hildon-audit (1.0-3) unstable; urgency=low

  * debian/control: updated description
  * debian/copyright: GPL'ed

 -- Luc Pionchon <luc.pionchon@nokia.com>  Mon,  8 Jan 2007 15:26:03 +0200

hildon-audit (1.0-2) unstable; urgency=low

  * including proper copyright and license information, code cleanups +
    manpage

 -- Tapani Palli <tapani.palli@nokia.com>  Fri, 24 Nov 2006 09:38:28 +0200

hildon-audit (1.0-1) unstable; urgency=low

  * fixes to symbol files, bump up version

 -- Tapani Palli <tapani.palli@nokia.com>  Thu, 23 Nov 2006 16:29:31 +0200

hildon-audit (0.9-1) unstable; urgency=low

  * initial debianized version

 -- Tapani Palli <tapani.palli@nokia.com>  Thu, 23 Nov 2006 14:34:39 +0200

## hildon-audit 1.2-2

=== Makefile ===

PROGRAM=hildon-audit

bindir=/usr/bin
datadir=/usr/share/$(PROGRAM)

all :
install :

	# program
	install -d $(DESTDIR)$(bindir)
	install -m755 $(PROGRAM) $(DESTDIR)$(bindir)/

	# symbol files
	install -d $(DESTDIR)$(datadir)
	install -d $(DESTDIR)$(datadir)/bora
	install -d $(DESTDIR)$(datadir)/chinook
	cp -fr data/bora/* $(DESTDIR)$(datadir)/bora
	cp -fr data/chinook/* $(DESTDIR)$(datadir)/chinook

clean :
	rm -f *~

=== debian/changelog ===
hildon-audit (1.2-2) unstable; urgency=low

  * data/bora/libosso-changes.txt: typo

 -- Natalia Dobrovolskaya <natalia.dobrovolskaya@nokia.com>  Thu,  3 Apr 2008 11:00:00 +0300

=== debian/control ===
Source: hildon-audit
Section: devel
Priority: optional
Maintainer: Michael Dominic Kostrzewa <michael.kostrzewa@nokia.com>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.0

Package: hildon-audit
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}, perl
Description: Tool for scanning files for specific symbols
 This tool scans a folder (recursively) and grep for symbols specified in rule
 files. For each instance found the corresponding message in the rule file is
 displayed. hildon-audit was first written to audit source packages and spot
 use of deprecated symbols/APIs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#/usr/bin/docbook-to-man debian/hildon-audit.sgml > hildon-audit.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/hildon-audit.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/hildon-audit


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
#	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
#	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
